Skip to main content
POST
Calculate the discounts for a specified purchase

Query Parameters

offerTypes
string[]

List of Offer types to consider during discount calculation

excludedOfferTypes
string[]

List of Offer types to exclude during discount calculation

skipReservation
boolean

When set tot true, coupons that granted discount/bonus will not be reserved

preserveExternalDiscounts
boolean

When set, controls whether external discounts are preserved in the response, overriding the PreserveExternalDiscounts feature flag

usePurchaseDateTime
boolean
default:false

If true, discount evaluation (including coupon eligibility) is performed using the request's PurchaseDateTimeUtc, retrieving only the coupons that were valid at that historical purchase time. If false, the current server time is used and only coupons valid "now" are considered.

Body

The specified purchase that the discounts need to be calculated for.

receiptId
string
required
Minimum string length: 1
storeId
string
required
Minimum string length: 1
currencyCode
string
required
Required string length: 3
totalAmount
number<double>
required
totalTaxAmount
number<double>
required
purchaseDateTimeUtc
string<date-time>
required
purchaseBusinessDateTime
string<date-time>
required
products
object[]
required
memberId
string | null
externalDiscountCardId
string | null
loyaltyCardId
string | null
orderId
string | null
amountForBonusCalculation
number<double> | null
paymentMethods
object[] | null
discounts
object[] | null
taxes
object[] | null
shipping
object
paymentLocation
string | null
checkoutType
enum<string>
Available options:
Pos,
SelfCheckout,
ScanAndPay,
Online
metadata
object | null
posId
string | null
phone
string | null

Response

OK

receiptId
string
required
Minimum string length: 1
storeId
string
required
Minimum string length: 1
currencyCode
string
required
Required string length: 3
totalAmount
number<double>
required
totalTaxAmount
number<double>
required
purchaseDateTimeUtc
string<date-time>
required
purchaseBusinessDateTime
string<date-time>
required
products
object[]
required
memberId
string | null
externalDiscountCardId
string | null
loyaltyCardId
string | null
amountForBonusCalculation
number<double> | null
paymentMethods
object[] | null
discounts
object[] | null
taxes
object[] | null
shipping
object
paymentLocation
string | null
metadata
object | null
posId
string | null
phone
string | null
Last modified on August 10, 2026